Zum Hauptinhalt springen
POST
/
crm
/
v3
/
objects
/
postal_mail
/
batch
/
read
cURL
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/postal_mail/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "id": "430001"
    }
  ],
  "properties": [
    "<string>"
  ],
  "propertiesWithHistory": [
    "<string>"
  ],
  "idProperty": "<string>"
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "id": "512",
      "properties": {
        "property_checkbox": "false",
        "property_date": "1572480000000",
        "property_dropdown": "choice_b",
        "property_multiple_checkboxes": "chocolate;strawberry",
        "property_number": "17",
        "property_radio": "option_1",
        "property_string": "value"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Abfrageparameter

archived
boolean
Standard:false

Ob nur Ergebnisse zurückgegeben werden sollen, die archiviert wurden.

Body

application/json

Gibt die Eingabe zum Lesen eines Batches von CRM-Objekten an, einschließlich Arrays von Objekt-IDs, angeforderten Eigenschaftsnamen (mit optionalem Verlauf) und einer optionalen eindeutigen identifizierenden Eigenschaft.

inputs
object[]
erforderlich
properties
string[]
erforderlich

Schlüssel-Wert-Paare für Einstellungseigenschaften für das neue Objekt.

propertiesWithHistory
string[]
erforderlich

Schlüssel-Wert-Paare für Einstellungseigenschaften für das neue Objekt und deren Verläufe.

idProperty
string

Antwort

successful operation

Ein öffentliches Objekt-Batch-Antwortobjekt

completedAt
string<date-time>
erforderlich

Der Zeitstempel, wann die Batch-Verarbeitung abgeschlossen war (Format ISO 8601).

results
object[]
erforderlich
startedAt
string<date-time>
erforderlich

Der Zeitstempel, wann die Batch-Verarbeitung gestartet wurde (Format ISO 8601).

status
enum<string>
erforderlich

Der Status der Batch-Verarbeitungsanfrage: „PENDING“, „PROCESSING“, „CANCELED“ oder „COMPLETE“.

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Ein Objekt mit relevanten Links im Zusammenhang mit der Batch-Anfrage.

requestedAt
string<date-time>

Der Zeitstempel, wann die Batch-Anfrage ursprünglich gestellt wurde (Format ISO 8601).

Last modified on May 26, 2026